Name: x11-driver-video-siliconmotion
Version: 1.7.7
Release: %mkrel 5
Summary: X.org driver for Silicon Motion Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-siliconmotion-%{version}.tar.bz2
Patch0: 0001-Remove-miInitializeBackingStore.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1
Conflicts: xorg-x11-server < 7.0

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-siliconmotion is the X.org driver for Silicon Motion Cards.

%prep
%setup -q -n xf86-video-siliconmotion-%{version}
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/xorg/modules/drivers/siliconmotion_drv.la
%{_libdir}/xorg/modules/drivers/siliconmotion_drv.so
%{_mandir}/man4/siliconmotion.*




%changelog
* Tue Dec 10 2013 tv <tv> 1.7.7-5.mga4
+ Revision: 556108
- patch 1: fix build with latest X.org server

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.7.7-4.mga4
+ Revision: 433198
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.7.7-3.mga4
+ Revision: 386023
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.7.7-2.mga3
+ Revision: 288973
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.7.7-1.mga3
+ Revision: 273812
- new release

* Wed Jun 06 2012 tmb <tmb> 1.7.6-3.mga3
+ Revision: 256484
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.7.6-2.mga3
+ Revision: 253022
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.7.6-1.mga3
+ Revision: 249931
- new release

* Tue Dec 06 2011 tmb <tmb> 1.7.5-4.mga2
+ Revision: 177666
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.7.5-3.mga2
+ Revision: 153131
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.7.5-2.mga1
+ Revision: 64413
- rebuild for new xserver-1.10

* Tue Mar 01 2011 tv <tv> 1.7.5-1.mga1
+ Revision: 62111
- new release

* Fri Feb 11 2011 tmb <tmb> 1.7.4-3.mga1
+ Revision: 50294
- imported package x11-driver-video-siliconmotion

